diff -pruN 0.0~git20231204.7de47a8-1/debian/changelog 0.0~git20240229.cd6a66d-1/debian/changelog
--- 0.0~git20231204.7de47a8-1/debian/changelog	2024-01-19 23:10:31.000000000 +0000
+++ 0.0~git20240229.cd6a66d-1/debian/changelog	2024-03-17 16:04:25.000000000 +0000
@@ -1,3 +1,9 @@
+golang-github-grafana-gomemcache (0.0~git20240229.cd6a66d-1) unstable; urgency=medium
+
+  * New upstream snapshot
+
+ -- Mathias Gibbens <gibmat@debian.org>  Sun, 17 Mar 2024 16:04:25 +0000
+
 golang-github-grafana-gomemcache (0.0~git20231204.7de47a8-1) unstable; urgency=medium
 
   * New upstream snapshot
diff -pruN 0.0~git20231204.7de47a8-1/memcache/memcache.go 0.0~git20240229.cd6a66d-1/memcache/memcache.go
--- 0.0~git20231204.7de47a8-1/memcache/memcache.go	2024-01-19 23:08:22.000000000 +0000
+++ 0.0~git20240229.cd6a66d-1/memcache/memcache.go	2024-03-17 16:03:25.000000000 +0000
@@ -619,7 +619,7 @@ func (c *Client) GetMulti(keys []string,
 	options := newOptions(opts...)
 
 	var lk sync.Mutex
-	m := make(map[string]*Item)
+	m := make(map[string]*Item, len(keys))
 	addItemToMap := func(it *Item) {
 		lk.Lock()
 		defer lk.Unlock()
diff -pruN 0.0~git20231204.7de47a8-1/memcache/memcache_test.go 0.0~git20240229.cd6a66d-1/memcache/memcache_test.go
--- 0.0~git20231204.7de47a8-1/memcache/memcache_test.go	2024-01-19 23:08:22.000000000 +0000
+++ 0.0~git20240229.cd6a66d-1/memcache/memcache_test.go	2024-03-17 16:03:25.000000000 +0000
@@ -539,6 +539,33 @@ func TestClient_Close_ShouldBeIdempotent
 	c.Close()
 }
 
+func BenchmarkGetMulti(b *testing.B) {
+	c := New(testServer)
+	defer c.Close()
+
+	var keys []string
+	for i := 0; i < 100; i++ {
+		key := fmt.Sprintf("bench-%d", i)
+		keys = append(keys, key)
+
+		err := c.Set(&Item{
+			Key:        key,
+			Value:      []byte(strings.Repeat("bench payload", 10)),
+			Flags:      0,
+			Expiration: 30,
+			casid:      0,
+		})
+		if err != nil {
+			b.Fatal("Could not set item for test server: ", err)
+		}
+	}
+
+	b.ResetTimer()
+	for i := 0; i < b.N; i++ {
+		_, _ = c.GetMulti(keys)
+	}
+}
+
 func BenchmarkOnItem(b *testing.B) {
 	fakeServer, err := net.Listen("tcp", "localhost:0")
 	if err != nil {
